<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style>
		#contenedor{
			height: 800px;
			padding: 15px;
		}
		#boton{
			display: block;
			clear: both;
			margin-top: 15px;
			margin-bottom: 15px;

		}
		#inicio{
			width: 500px;
			height: 80%;
			position: fixed;
			background-color: aqua;
			border: 2px black solid;
			padding: 2px;
		}
		
	</style>
	<script>
		window.addEventListener("load", function(){


		//definicion de variables para el html
		document.querySelector("#boton");
		document.querySelector("#resultados");
		document.querySelector("#btnEmpezar");
		document.querySelector("#tRestante");
		//Para que siga funcionando si se quieren añadir mas preguntas
		//solo añadiendo el html y las respuestas en soluciones, array respuestas.
        let nRespuestas=document.querySelectorAll("h3");
		
		//definicion de variables javascript
		let crono=30;//define los segundos del crono
		let respuestas=["r0","r2","r1","r1", "r3", "r3"];//soluciones 
        let contestadas=0;
        let correctas=0;
        let incorrectas=0;
        let puntuacion=0;
        let sw=true;//switch para el tiempo
        let paraCrono=false;

        //cuando se pulse el boton Corregir se llama a la funcion correspondiente
		boton.addEventListener("click", function(){
			
				corregir();
		        console.log("Respuestas contestadas: "+contestadas);
		        console.log("Respuestas correctas: "+correctas);
		        console.log("Respuestas incorrectas: "+incorrectas);
		        console.log("Puntuacion(se calcula mediante la siguiente formula: correctas 1 punto, incorrectas -1punto) "+(parseInt(correctas)-parseInt(incorrectas)));
		        
		   });

   
        //al pulsar empezar desaparece la pantalla fixed y eja acceder al test
        btnEmpezar.addEventListener("click", function(){
          document.querySelector("#inicio");
          inicio.style.visibility="hidden";

          //habilita boton de corregir
          boton.disabled=false;
          boton.style.width="300px";
          console.log('llega');

        tiempo();//comienza el crono
        });
  		
		


		function tiempo(){
			if (sw){
				id=setInterval(function(){
			 tiempo(); }, 1000);	
			};
			sw=false;
			crono--;

			if (crono==0 || paraCrono) {
			clearInterval(id);
			corregir();
			boton.disabled=true;
			inicio.style.visibility="visible";
			paraCrono=true;
			}
			
			console.log(crono);
			tRestante.innerHTML="Faltan "+crono+" Segundos";
		};
  
  		function corregir(){
		  			for(var i = 0; i < nRespuestas.length; i++){
			        	preguntas=document.querySelectorAll(".p"+i);
			        	let spanes=document.querySelector("#res"+i);
			        	console.log(spanes);
			        
			        	for(var j = 0; j < preguntas.length; j++){
			        	
			        		if(preguntas[j].checked){
			        			contestadas++;
			        			sw=false;
			        			if (preguntas[j].value==respuestas[i]){
			        				correctas++;
			        				spanes.innerHTML="Bien¡¡";
			        			}else {
			        				spanes.innerHTML="Mal¡¡";
			        				incorrectas++;
			        			}
			        		}

			        	}
			        	console.log(preguntas);
			        }
			        inicio.innerHTML="Respuestas contestadas: "+contestadas+"<br>Respuestas correctas: "+correctas+"<br>Puntuacion: "+(parseInt(correctas)-parseInt(incorrectas))+"<br>tiempo restante "+crono+" Segundos <br><br>(se calcula mediante la siguiente formula: correctas 1 punto, incorrectas -1punto)";
			        inicio.style.left="665px";
			        paraCrono=true;
  			}

		});
	</script>
</head>
<body>
	<div id="contenedor">
		<div id="inicio">
			<p>Cuando pulses empezar, dispondras de un tiempo limitado para comletar el test</p>
			<button id="btnEmpezar">Empezar Test</button>
		</div>
		<span id="tRestante"></span>
		<h3>1-¿cuantas uvas se toman en las campanadas de fin de año?</h3>
		<input type="radio" class="p0" value="r0"  name="a" >12
		<input type="radio" class="p0" value="r1" name="a" >13
		<input type="radio" class="p0" value="r2" name="a" >10
		<span id="res0"></span>

		<h3>2-¿cuanto son 2+2?</h3>
		<input type="radio" class="p1" value="r0" name="b">12
		<input type="radio" class="p1" value="r1" name="b">13
		<input type="radio" class="p1" value="r2" name="b">4
		<span id="res1"></span>

		<h3>3-¿cuantos meses tiene el año?</h3>
		<input type="radio" class="p2" value="r0" name="c">7
		<input type="radio" class="p2" value="r1" name="c">12
		<input type="radio" class="p2" value="r2" name="c">15
		<span id="res2"></span>

		<h3>4-¿cuanto son 3+3 ?</h3>
		<input type="radio" class="p3" value="r0" name="d">7
		<input type="radio" class="p3" value="r1" name="d">6
		<input type="radio" class="p3" value="r2" name="d">15
		<span id="res3"></span>

		<h3>5-¿cuanto son 6+6?</h3>
		<input type="radio" class="p4" value="r0" name="e">7
		<input type="radio" class="p4" value="r1" name="e">11
		<input type="radio" class="p4" value="r2" name="e">17
		<input type="radio" class="p4" value="r3" name="e">12
		<span id="res4"></span>
		
		<h3>6-¿cuanto son 26+6?</h3>
		<input type="radio" class="p5" value="r0" name="f">7
		<input type="radio" class="p5" value="r1" name="f">11
		<input type="radio" class="p5" value="r2" name="f">17
		<input type="radio" class="p5" value="r3" name="f">32
		<span id="res5"></span>
		
		<button id="boton" disabled>Corregir</button>

		<span id="resultados"></span>
	</div>
	
</body>
</html>